## org.hibernate.metamodel.source.annotations.xml.mocker
Class EntityMappingsMocker.Default

    java.lang.Object
      org.hibernate.metamodel.source.annotations.xml.mocker.EntityMappingsMocker.Default

All Implemented Interfaces:
  Serializable

Enclosing class:
  EntityMappingsMocker

    public static class EntityMappingsMocker.Default

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`EntityMappingsMocker.Default()`

Method Summary
`JaxbAccessType` `getAccess()`
`String` `getCatalog()`
`String` `getPackageName()`
`String` `getSchema()`
`Boolean` `isCascadePersist()`
`Boolean` `isMetadataComplete()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityMappingsMocker.Default

    public EntityMappingsMocker.Default()

Method Detail

### getAccess

    public JaxbAccessType getAccess()

### getCatalog

    public String getCatalog()

### getPackageName

    public String getPackageName()

### getSchema

    public String getSchema()

### isMetadataComplete

    public Boolean isMetadataComplete()

### isCascadePersist

    public Boolean isCascadePersist()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.